# Keychain credentials pick

A decision block that lets the user choose an alias for cryptographic credentials, i.e. key and/or certificate, stored in the system keychain.

The fiber will pause until the user has chosen credentials, cancelled the dialog or the timeout expired.

Once credentials has been chosen, the system will grant Automate perpetual usage, but any secret/private key material remain inaccessible, e.g. to export or backup. Credentials can be managed in system Security settings.

## Input arguments

- Key types — type of cryptographic key to choose, default is any type.
- Issuer — issuer of certificate to choose, in X.500 Distinguished Names (DN) grammar, e.g. CN=Automate, default is any issuer.
- Pre-selected alias — alias of pre-selected credentials, default is none.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Alias — variable to assign the alias for the chosen credentials.